[Debian-live-changes] r1409 - in dists/trunk/live-initramfs: . debian docs

Daniel Baumann daniel at alioth.debian.org
Wed May 9 06:08:43 UTC 2007


Author: daniel
Date: 2007-05-09 06:08:43 +0000 (Wed, 09 May 2007)
New Revision: 1409

Added:
   dists/trunk/live-initramfs/Makefile
Removed:
   dists/trunk/live-initramfs/debian/dirs
   dists/trunk/live-initramfs/debian/examples
   dists/trunk/live-initramfs/debian/install
   dists/trunk/live-initramfs/debian/links
   dists/trunk/live-initramfs/debian/manpages
Modified:
   dists/trunk/live-initramfs/debian/rules
   dists/trunk/live-initramfs/docs/AUTHORS
   dists/trunk/live-initramfs/docs/ChangeLog
Log:


Added: dists/trunk/live-initramfs/Makefile
===================================================================
--- dists/trunk/live-initramfs/Makefile	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/Makefile	2007-05-09 06:08:43 UTC (rev 1409)
@@ -0,0 +1,94 @@
+#!/usr/bin/make -f
+
+all: install
+
+test:
+	set -e; for SCRIPT in hooks/* scripts/live scripts/*/*; \
+	do \
+		sh -n $$SCRIPT || exit 1; \
+	done
+
+build:
+	# Setting BUILD_SYSTEM
+	sed -e 's/\(BUILD_SYSTEM="\).*"/\1'$(BUILD_SYSTEM)'"/g' conf/live.conf > live.conf
+
+	# Building live-md5check
+	CFLAGS="$(CFLAGS)" $(MAKE) -C bin/live-md5check
+
+install: test build
+	# Installing configuration
+	install -D -m 0644 live.conf $(DESTDIR)/etc/live.conf
+
+	# Installing live-md5check
+	install -D -m 0755 bin/live-md5check/live-md5check $(DESTDIR)/usr/lib/live-initramfs/live-md5check
+
+	# Installing executables
+	mkdir -p $(DESTDIR)/sbin
+	cp bin/live-getty bin/live-login bin/live-snapshot $(DESTDIR)/sbin
+
+	mkdir -p $(DESTDIR)/usr/share/live-initramfs
+	cp bin/live-preseed bin/live-reconfigure $(DESTDIR)/usr/share/live-initramfs
+
+	mkdir -p $(DESTDIR)/usr/share/initramfs-tools
+	cp -r hooks scripts $(DESTDIR)/usr/share/initramfs-tools
+
+	# Installing documentation
+	mkdir -p $(DESTDIR)/usr/share/doc/live-initramfs
+	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-initramfs
+
+	mkdir -p $(DESTDIR)/usr/share/doc/live-initramfs/examples
+	cp -r conf/live.conf $(DESTDIR)/usr/share/doc/live-initramfs/examples
+
+	# Installing manpages
+	set -e; for MANPAGE in manpages/*.1; \
+	do \
+		install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/man1/`basename $$MANPAGE`; \
+	done
+
+	set -e; for MANPAGE in manpages/*.7; \
+	do \
+		install -D -m 0644 $$MANPAGE $(DESTDIR)/usr/share/man/man7/`basename $$MANPAGE`; \
+	done
+
+	ln -sf live-initramfs.7.gz $(DESTDIR)/usr/share/man/man7/live-getty.7.gz
+	ln -sf live-initramfs.7.gz $(DESTDIR)/usr/share/man/man7/live-login.7.gz
+
+uninstall:
+	# Uninstalling configuration
+	rm -f $(DESTDIR)/etc/live.conf
+
+	# Uninstalling live-md5check
+	rm -f $(DESTDIR)/usr/lib/live-initramfs/live-md5check
+
+	# Uninstalling executables
+	rm -f $(DESTDIR)/sbin/live-getty $(DESTDIR)/sbin/live-login $(DESTDIR)/sbin/live-snapshot
+	rm -f $(DESTDIR)/usr/share/live-initramfs
+	rm -f $(DESTDIR)/usr/share/initramfs-tools/hooks/live
+	rm -rf $(DESTDIR)/usr/share/initramfs-tools/scripts/live*
+
+	# Uninstalling documentation
+	rm -rf $(DESTDIR)/usr/share/doc/live-initramfs
+
+	# Uninstalling manpages
+	set -e; for MANPAGE in manpages/*.1; \
+	do \
+		rm -f $(DESTDIR)/usr/share/man/man1/`basename $$MANPAGE`; \
+	done
+
+	set -e; for MANPAGE in manpages/*.7; \
+	do \
+		rm -f $(DESTDIR)/usr/share/man/man7/`basename $$MANPAGE`; \
+	done
+
+	rm -f $(DESTDIR)/usr/share/man/man7/live-getty.7.gz
+	rm -f $(DESTDIR)/usr/share/man/man7/live-login.7.gz
+
+update:
+
+clean:
+	rm -f live.conf
+	$(MAKE) -C bin/live-md5check
+
+distclean:
+
+reinstall: uninstall install

Deleted: dists/trunk/live-initramfs/debian/dirs
===================================================================
--- dists/trunk/live-initramfs/debian/dirs	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/debian/dirs	2007-05-09 06:08:43 UTC (rev 1409)
@@ -1,4 +0,0 @@
-/etc
-/usr/lib/live-initramfs
-/usr/share/initramfs-tools/hooks
-/usr/share/initramfs-tools/scripts

Deleted: dists/trunk/live-initramfs/debian/examples
===================================================================
--- dists/trunk/live-initramfs/debian/examples	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/debian/examples	2007-05-09 06:08:43 UTC (rev 1409)
@@ -1 +0,0 @@
-conf/live.conf

Deleted: dists/trunk/live-initramfs/debian/install
===================================================================
--- dists/trunk/live-initramfs/debian/install	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/debian/install	2007-05-09 06:08:43 UTC (rev 1409)
@@ -1,7 +0,0 @@
-bin/live-getty		sbin
-bin/live-login		sbin
-bin/live-preseed	usr/share/live-initramfs
-bin/live-reconfigure	usr/share/live-initramfs
-bin/live-snapshot	sbin
-hooks			usr/share/initramfs-tools
-scripts			usr/share/initramfs-tools

Deleted: dists/trunk/live-initramfs/debian/links
===================================================================
--- dists/trunk/live-initramfs/debian/links	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/debian/links	2007-05-09 06:08:43 UTC (rev 1409)
@@ -1,2 +0,0 @@
-/usr/share/man/man7/casper.7.gz /usr/share/man/man7/live-getty.7.gz
-/usr/share/man/man7/casper.7.gz /usr/share/man/man7/live-login.7.gz

Deleted: dists/trunk/live-initramfs/debian/manpages
===================================================================
--- dists/trunk/live-initramfs/debian/manpages	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/debian/manpages	2007-05-09 06:08:43 UTC (rev 1409)
@@ -1 +0,0 @@
-manpages/*

Modified: dists/trunk/live-initramfs/debian/rules
===================================================================
--- dists/trunk/live-initramfs/debian/rules	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/debian/rules	2007-05-09 06:08:43 UTC (rev 1409)
@@ -23,17 +23,8 @@
 build-stamp:
 	dh_testdir
 
-	# Checking scripts
-	for SCRIPT in scripts/live scripts/live-bottom/*; \
-	do \
-		sh -n $$SCRIPT || exit 1; \
-	done
-
-	# Setting BUILD_SYSTEM in the binary package
-	sed -e 's/\(BUILD_SYSTEM="\).*"/\1'$(BUILD_SYSTEM)'"/g' conf/live.conf > live.conf
-
 	# Building package
-	CFLAGS="$(CFLAGS)" $(MAKE) -C bin/live-md5check
+	CFLAGS="$(CFLAGS)" $(MAKE)
 
 	touch build-stamp
 
@@ -43,8 +34,7 @@
 	rm -f build-stamp
 
 	# Cleaning package
-	$(MAKE) -C bin/live-md5check clean
-	rm -f live.conf
+	$(MAKE) clean
 
 	dh_clean
 
@@ -55,21 +45,22 @@
 	dh_installdirs
 
 	# Installing package
-	install -m 0755 bin/live-md5check/live-md5check debian/live-initramfs/usr/lib/live-initramfs
-	install -m 0644 live.conf debian/live-initramfs/etc/live.conf
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/live-initramfs
 
+	# Removing double files
+	rm -f debian/live-initramfs/usr/share/doc/live-initramfs/COPYING
+	rm -f debian/live-initramfs/usr/share/doc/live-initramfs/ChangeLog
+	mv debian/live-initramfs/usr/share/doc/live-initramfs/ChangeLog.casper debian/live-initramfs/usr/share/doc/live-initramfs/changelog.casper
+
 binary-indep: build install
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs docs/ChangeLog
-	dh_installdocs docs/ChangeLog.casper
-	dh_installexamples
+	dh_installdocs
 	dh_install
 	dh_installinit --no-restart-on-upgrade --no-start -- start 89 0 6 .
-	dh_installman
-	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms

Modified: dists/trunk/live-initramfs/docs/AUTHORS
===================================================================
--- dists/trunk/live-initramfs/docs/AUTHORS	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/docs/AUTHORS	2007-05-09 06:08:43 UTC (rev 1409)
@@ -7,3 +7,5 @@
 
   * Tollef Fog Heen <tfheen at canonical.com>
   * Matt Zimmerman <mdz at canonical.com>
+
+  See ChangeLog.casper for casper contributors.

Modified: dists/trunk/live-initramfs/docs/ChangeLog
===================================================================
--- dists/trunk/live-initramfs/docs/ChangeLog	2007-05-09 05:48:54 UTC (rev 1408)
+++ dists/trunk/live-initramfs/docs/ChangeLog	2007-05-09 06:08:43 UTC (rev 1409)
@@ -1,7 +1,9 @@
 2007-05-08  Daniel Baumann  <daniel at debian.org>
 
+	* Makefile, doc/AUTHORS, doc/CREDITS:
+	  - Added.
 	* bin/live-snapshot:
-	  - Removed bashism and a few minor cleanups.
+	  - Removed bashisms and a few minor cleanups.
 
 2007-05-07  Daniel Baumann  <daniel at debian.org>
 




More information about the Debian-live-changes mailing list